## 4.0.7
**Fixes**
- Resolved an issue with the invalid `PrivacyInfo.xcprivacy` file, ensuring compliance and correct file handling.

**Enhancements**
- Updated the native Android calls SDK to the latest version, enhancing the overall calling functionality and compatibility with newer Android versions.

## 4.0.6
**Fixes**
- Addressed a version conflict issue by downgrading the `http` plugin version to `^0.13.3`, ensuring better compatibility and stability.

## 4.0.5
**New**
- Added `PrivacyInfo.xcprivacy` file that complies with the latest apple guidelines for SDKs.

**Fixes**
- Addressed an issue with the Name Label Parameter where the default value was not being correctly assigned, ensuring accurate and expected functionality.

## 4.0.4
**Enhancements**
- Enhanced the calls settings functions to accept enums as parameter types instead of strings, improving type safety and reducing potential errors.

**Fixes**
- Addressed an issue where video settings were not being correctly applied to the video container.
- Resolved a problem associated with call recording not being correctly terminated after pressing the stop button.

## 4.0.3
* Bug Fix: Add or Remove Multiple CallsEventListeners()

## 4.0.2
* New: Added call log

## 4.0.1
* Bug Fix: End call callback

## 4.0.0
* New: CometChat Calls v4 support enabled
* Calling view optimization

## 4.0.0-beta1
* New: CometChat Calls v4 support enabled
